web-dev-qa-db-de.com

Fehler beim Installieren von Eclipse IDE

Ich versuche, Eclipse IDE (Java für Entwickler) zu installieren, aber bei der Installation wird der folgende Fehler angezeigt.

Ich habe genügend Speicherplatz auf dem Systemlaufwerk.

In der Vergangenheit habe ich die Eclipse IDE installiert und deinstalliert. Gibt es also ein Problem bei der Neuinstallation?

10:50:59] ERROR: org.Eclipse.equinox.p2.transport.ecf code = 1002 Repository kann nicht gelesen werden um http://download.Eclipse.org/releases/neon/201612211000/content.xml.xz . org.Apache.http.TruncatedChunkException: Verkürzter Block (erwartete Größe: 8096; tatsächliche Größe: 7189) bei org.Apache.http.impl.io.ChunkedInputStream.read (ChunkedInputStream.Java:183) bei Java.util.Zip.InflaterInputStream .fill (unbekannte Quelle) bei Java.util.Zip.InflaterInputStream.read (unbekannte Quelle) bei Java.util.Zip.GZIPInputStream.read (unbekannte Quelle) bei org.Apache.http.client.entity.LazyDecompressingInputStream.read (LazyDecompressingInputStream .Java: 74) bei org.Apache.http.conn.EofSensorInputStream.read (EofSensorInputStream.Java:137) bei Java.io.FilterInputStream.read (unbekannte Quelle) bei Java.io.FilterInputStream.read (unbekannte Quelle) bei org .Eclipse.ecf.provider.filetransfer.retrieve.AbstractRetrieveFileTransfer $ 1.performFileTransfer (AbstractRetrieveFileTransfer.Java:178) at org.Eclipse.ecf.filetransfer.FileTransferJob.run (FileTransferJob.Java:74) at org.Eclip jobs.Worker.run (Worker.Java:55)

[2017-01-16 10:50:59] [2017-01-16 10:51:04] Ausführen von bootstrap Tasks [2017-01-16 10:51:04] Java (TM) SE Laufzeitumgebung 1.8.0_111-b14 [2017-01-16 10:51:04] Produkt org.Eclipse.products.epp.package.Java.neon [2017-01-16 10:51:04] Bundle org.Eclipse. oomph.setup 1.6.0.v20161125-0947, build = 2790, branch = 33010448bcf5775ec23e485876cbb07a0340b9b5 [2017-01-16 10:51:04] Bundle org.Eclipse.oomph.setup.core 1.6.0.v20161128-0928 2790, Verzweigung = 33010448bcf5775ec23e485876cbb07a0340b9b5 [2017-01-16 10:51:04] Bündel org.Eclipse.oomph.setup.p2 1.6.0.v20161019-0656, Build = 2790, Verzweigung = 33010448bcf5775ec23e48b915523: 3301523c23-1 51:04] Durchführen von P2 Director (Eclipse IDE für Java Entwickler (Neon)) [2017-01-16 10:51:04] Offline = false [2017-01-16 10:51:04] Mirrors = true [2017-01-16 10:51:04] 23 Anforderungen aus 3 Repositorys in C:\personaldev\Eclipse auflösen [2017-01-16 10:51:04] Anforderung epp.package .Java [4.6.0,4.7.0) [2017-01-16 10:51:04] Requirement org. Eclipse.platform.feature.group [4.6.0,4.7.0) [2017-01-16 10:51:04] Anforderung org.Eclipse.rcp.feature.group [4.6.0,4.7.0) [2017- 01-16 10:51:04] Anforderung org.Eclipse.buildship.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.egit.feature.group [2017-01-16 10:51 : 04] Anforderung org.Eclipse.egit.mylyn.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.jdt.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.jgit.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.m2e.feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse. m2e.logback.feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.mylyn.bugzilla_feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse. mylyn.context_feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.mylyn.git.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.mylyn. hudson.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.mylyn.ide_feature.feature.group [201 7-01-16 10:51:04] Anforderung org.Eclipse.mylyn.Java_feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.mylyn.wikitext_feature.feature.group [2017- 01-16 10:51:04] Anforderung org.Eclipse.mylyn_feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.recommenders.mylyn.rcp.feature.feature.group [2017- 01-16 10:51:04] Anforderung org.Eclipse.recommenders.rcp.feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.recommenders.snipmatch.rcp.feature.feature. group [2017-01-16 10:51:04] Anforderung org.Eclipse.wst.xml_ui.feature.feature.group [2017-01-16 10:51:04] Anforderung org.Eclipse.oomph.setup.feature. group [2017-01-16 10:51:04] Repository http://download.Eclipse.org/technology/epp/packages/neon [2017-01-16 10 : 51: 04] Repository http://download.Eclipse.org/releases/neon/201612211000 [2017-01-16 10:51:04] Repository http://download.Eclipse.org/oomph/updates/milestone/latest [2017-01-16 10:54:14] FEHLER: org.Eclipse .equinox.p2.transport.ecf code = 1002 Das Repository unter kann nicht gelesen werden. http://download.Eclipse.org/releases/neon/201612211000/content.xml.xz . Java.net.SocketTimeoutException: Zeitüberschreitung beim Lesen von Java.net.SocketInputStream.socketRead0 (native Methode) bei Java.net.SocketInputStream.socketRead (unbekannte Quelle) bei Java.net.SocketInputStream.read (unbekannte Quelle) bei Java.net. SocketInputStream.read (unbekannte Quelle) bei org.Apache.http.impl.io.AbstractSessionInputBuffer.fillBuffer (AbstractSessionInputBuffer.Java:160) bei org.Apache.http.impl.io.SocketInputBuffer.fillBuffer (SocketInputBuffer.Java:84) bei org.Apache.http.impl.io.AbstractSessionInputBuffer.read (AbstractSessionInputBuffer.Java:206) bei org.Apache.http.impl.io.ChunkedInputStream.read (ChunkedInputStream.Java:174) bei Java.util.Zip.InflaterInputStream. fill (Unknown Source) bei Java.util.Zip.InflaterInputStream.read (Unknown Source) bei Java.util.Zip.GZIPInputStream.read (Unknown Source) bei org.Apache.http.client.entity.LazyDecompressingInputStream.read (LazyDecompressingInputStream. Java: 74) unter org.Apache.http.conn.EofSensorInputStream.read (EofSensorInputStream.Java:137) unter Java.io.FilterIn putStream.read (Unknown Source) bei Java.io.FilterInputStream.read (Unknown Source) bei org.Eclipse.ecf.provider.filetransfer.retrieve.AbstractRetrieveFileTransfer $ 1.performFileTransfer (AbstractRetrieveFileTransfer.Java:178) bei org.Eclipse.ecf. filetransfer.FileTransferJob.run (FileTransferJob.Java:74) at org.Eclipse.core.internal.jobs.Worker.run (Worker.Java:55)

[2017-01-16 10:54:14]

6
A user

Ich könnte das Problem lösen.

  1. Löschen Sie alle Dateien, die sich bereits auf dem System befinden, im Benutzerordner von Eclipse.

  2. Arbeitsbereich löschen, falls vorhanden. (Projekte separat speichern)

  3. Installieren Sie den Eclipse von der offiziellen Website. Versuchen Sie nicht, sich für die Online-Installationsprogramme zu entscheiden. Installieren Sie die vollständige Software

Die Softwareinstallation ist erfolgreich

5
A user

Ich habe auch einen Fehlercode 1002 gefunden. Das Problem scheint auf die Online-Ressource zurückzuführen zu sein, die es zu kontaktieren versucht. Die Lösung löste sich nach ein paar Stunden. Ich poste dies, weil ich ähnliche Beschwerden an anderen Orten sah und das Wissen über diese Lösung verbreiten wollte.

3
user8567639